* Tue Mar 30 2010 Antonio Orefice <xt7player@gmail.com> 0.9.183
- CHANGE: use C locale settings for mplayer process
- CHANGE: updated italian translation.
- FIX: startup runtime error in SubAndOsd (thanks to alberto from MIB-Team)
- FIX: Better xt7-mplayer sync routine (no more 0 length size files in playlist/library)
- CHANGE: wrap text in log window
- NEW: autosync option
- FIX: make xt7-player workd even if mplayer was compiled withoud libdvdread support
- FIX: Random play is back (thanks nickinicki)
- FIX: set -nocache parameter for dvdnav streams (news on mplayerhq.hu)
- FIX: LogWindow: don't repeat the same (mplayer) log message more than 20 times
- FIX: Don't cut radio song name
- FIX: open containing folder crash if no item selected
- FIX: Hotkeys window now has a save button
- NEW: Allows to add podcasts to library and/or playlist
- NEW: AutoDetect Cdrom and dvdrom devices.
- NEW: AudioCd support (no cddb:// due to slow freedb server)
- CHANGE: More log window messages
- CHANGE: Uses different cache sizes for network,dvd audiocd,and local file
- NEW: Search and, if found, launch qt3 configuration tool.
- FIX: Runtime error whan adding an uri in library+playlist and a search field which returned 0 results
- in playlist was selected.
- FIX: The first element in playlist and library was always lost whan closing and reopening xt7
- FIX: Radio label out of phase
- FIX: Podcast Url(s) wasn't saved on disk if "save all settings to profile on program exit" was checked
- (thanks symbianflo)

* Mon Feb 22 2010 Antonio Orefice <xt7player@gmail.com> 0.9.164
- Fix runtime error whan adding an uri in library+playlist and a search field which returned 0 results
- in playlist was selected.
- The first element in playlist and library was always lost whan closing and reopening xt7

* Thu Feb 18 2010 Antonio Orefice <xt7player@gmail.com> 0.9.162
- FIX: lavdopts options parsing
- NEW: decoding thread number options
- FIX: some english typos (thanks Jacky Bamière)
- FIX: some language dependant code removed (thanks Jacky Bamière)
- FIX: xdg-open wasn't found even if it exists
- FIX: If vdpau video driver is selected (which doesn't means used), video filter
- chain is cleared (mplayer+vdpau+video filters doesn't play at all)
- FIX: workarounded an mplayer 'bug' with some hotkeys when ladspa filters are used
- (see bug: http://bugzilla.mplayerhq.hu/show_bug.cgi?id=1334)
- FIX: Update a podcast rss fixed
- NEW: Shoutcast radio support
- NEW: Display total selection length in playlist and library
- FIX: Dvd navigation via mouse
- FIX: *faster* startup time
- FIX: Little bug in generaloptions listview selection
- FIX: Interface colors with dark themes
- FIX: Bug in profile manager routines, save settings to new profiles was impossible.
- FIX: Subtitles and osd window rearranged to fit 1024x600 netbook resolutions
- NEW: simplified Chinese translation added (thanks shimingzhou)
- NEW: Preliminary support to dvd menus (not 100% stable, but usable)
- NEW: added some configurable hotkeys
- NEW: added dvd navigation hotkey configuration
- NEW: In dvd navigation mode, left mouse select items and doesn't pause anymore.
- FIX: dots in profile name not allowed anymore
- FIX: Don't make factory defaults profile at start if profile already exists
- NEW: Choose to save or not form geometry on exit.
- FIX: workarounded form geometry save/load to work the same way with kwin3+kwin4+compiz
- (expect a glitch with compiz if you use close animation)
- FIX: Less glitches when switching Fullscreen
- FIX: Free drag.data (avoiding reparenting the object which accepted drop)
- NEW: Gradfun video filter (very recent mplayer version needed!)
- NEW: Added "reset to default" buttons near filter configurations

* Tue Sep 15 2009 Antonio Orefice <xt7player@gmail.com> 0.9.97
- FIX: An endless loop in library syncronization routine
- NEW: allow the user to choice a specific demuxer
- NEW: Preliminary support for podcasts
- FIX: Fullscreen resize bug
- CHANGE: Switched to simplier file dialogs
- FIX: Enabled Oss driver by default because of mplayer+alsa problems under ubuntu jaunty jackalope
- FIX: Workarounded a problem with metacity+Gambas < 2.2.15.0 (jaunty jackalope) and volume panel popup.
- Ubuntu (gnome) users should get latest gambas versions.
- FIX: Updated code to new Amazon Services api to download covers (broken since 15 Aug 2009)
- NEW: Log window search function
- NEW: Integrated support for vdpau driver and codecs
- FIX: Allows to restore the Factory default profile
- CHANGE: Moved profile manager into left side tabs.
- NEW: Allow to select which (left) tabs to show
- FIX: Faster startup
- FIX: Better default subtitle font and color values
- NEW: Allows some interface customization
- NEW: Catch temporary flash videos in /tmp folder and allows to download and watch them
- (works on youtube,megavideo,yahoo video and more)
- NEW: Trayicon
- FIX: More robust Library sync process when dealing with corrupted media.
- NEW: List to exclude some paths from being scanned during Library sync.
- NEW: Read and update StreamTitle changes from Network streams (Webradios)
- NEW: Shutdown options
- FIX: ToolBar bkg color fix.
- FIX: Sometimes video area didn't get correct Aspect Ratio.
- FIX: Drag'n Drop didn't work on gnome-desktop
- FIX: Restore video playback when exiting tag edit mode.
- FIX: Fullscreen and windowed zoom are equals now.
- NEW: Ability to set cover on a filename basis other than Artis/album.
- FIX: Increased Maximum cache size to 99999KB
- NEW: Network Streams icon
- FIX: Segmentation fault when dropping a file into the audiobox while a media is playing

* Fri Jun 19 2009 Antonio Orefice <xt7player@gmail.com> 0.9.30
- FIX: More robust Library sync process when dealing with corrupted media.
- NEW: List to exclude some paths from being scanned during Library sync.
- NEW: Read and update StreamTitle changes from Network streams (Webradios)
- NEW: Shutdown options
- FIX: ToolBar bkg color fix.
- FIX: Sometimes video area didn't get correct Aspect Ratio.
- FIX: Drag'n Drop didn't work on gnome-desktop
- FIX: Restore video playback when exiting tag edit mode.
- FIX: Fullscreen and windowed zoom are equals now.
- NEW: Ability to set cover on a filename basis other than Artis/album.
- FIX: Increased Maximum cache size to 99999KB

* Mon May 25 2009 Antonio Orefice <xt7player@gmail.com> 0.9.13
- FIX: Bug which prevented to set and display a cover on flac files.
- FIX: Fullscreen switch sometimes didn't correctly arrange the controls.

* Fri May 15 2009 Antonio Orefice <xt7player@gmail.com> 0.9.9
- NEW: es_ES translation (thanks to i92guboj)
- FIX: Center windows to be "multi-head"(twinview,xinerama) friendly
- FIX: Some beryl/compiz workarounds.
- FIX: Critical fix in pt_BR translation (esd audio driver)
- FIX: better .desktop file (thanks wackenroader)
- FIX: missed runtime error handling on dvd play routine
- CHANGE: few fixes to gui
- NEW: Multiple tag editing capabilities
- FIX: Workarounded an mplayer bug in sub_load slave cmd (spaces in filenames)
- NEW: Resizable upper panel (playlist etc) in fullscreen mode
- NEW: Import/Export .xpl .m3u,and .pls playlists, export with absolute paths only.
- NEW: Dragging and droppping supported playlist files in library or playlist will append them
- FIX: Dropdown and popup menus reorganization
- FIX: Follow sym links
- FIX: SpeedUp the library sync process.
- FIX: correct icon for wmv files
- FIX: Workarounded mplayer bug with dots/commas when using ladspa filters
- NEW: Cover fetcher via amazon services or file on disk
- NEW: Show cover and info when playing an audio file
- FIX: Runtime error "access denied" on library sync

* Fri Jan 23 2009 Antonio Orefice <xt7player@gmail.com> 
- NEW: pt_BR translation (thanks to wackenroader)
- NEW: Added http_proxy option
- NEW: Added subtitle fuzziness option
- FIX: Added a menu item to disable subtitles display
- FIX: First dropped or synched item usually generates a timeout.
- FIX: Only 1/10 Cache fill messages are parsed
- NEW: Allow custom names in library/playlist when adding new items
- NEW: Ask user to remove non existent files from library.
- FIX: Change media while paused safe now.
- NEW: Configurable Toolbar button position + "configure->Lock toolbar" menu
- CHANGE: buttons Apply,OK -> Save,Use,Close
- NEW: Audio and subtitle tracks identification and selection via "file->Streams" menu
- NEW: Dvd navigation and playback from drive,folder and iso
- NEW: Tabstrip with dvd tree view (titles,chapters and angles)
- NEW: Dropping a .iso file or a VIDEO_TS folder into video area, will auto-play it as DVD.
- NEW: DVD Titles and chapters selection with Main Title Autoguess
- FIX: wrong columns autosize
- NEW: Audio and subtitle language preferences in General options
- NEW: Subtitles: Shadow Color,Shadow alpha and outline alpha parameters
- NEW: Removed cachedoptions, hard to manage, mostly useless.
- FIX: Changed zzFake visibility state to work with new gambas versions (2.10+)
- FIX: "WAIT" for the pipe to be written (getvolume,do pause and so on) in send function, mplayerclass
- FIX: some tags happens to "spread" on other media on library sync.

* Fri Nov 28 2008 Antonio Orefice <xt7player@gmail.com> 
- FIX: runtime error on library sync
- FIX: use of Ladspa filters breaks speed changes too, worked-around...
- CHANGE: commandline options .-append becames -append (without the dot)
- CHANGE: Lowercased name: Xt7-Player -> xt7-player
- FIX: layout glitch on library synchronization
- CHANGED: Kde3.5 dependancy removed (->some gui changes in subtitle window),
- qt3 still needed. (Dev-Note: args has been shifted +1)
- FIX: Use of some ladspa filters breaks volume reads and writes (wth?), worked-around...
- FIX: postcommand not executed if xt7 is closed while mplayer is playing something
- FIX: Media recognition during library synchronization pulled in some non mediafiles
- FIX: regression in local hotkeys definition (non printable keys not recognized)
- FIX: Don't go on in playlist if user hits stop.
- NEW: playlist/library random play button
- NEW: Playlist/library history -> previous button selects the previously played media,if any, or else, go up.
- NEW: Added another Custom Audio and Custom Video Filter (you may need to configure them again)
- FIX: wrong channels number in library sync (rare case)



* Wed Nov 12 2008 Antonio Orefice <xt7player@gmail.com> 
- NEW: Work made to make project translable, italian translation added.
- FIX: sometimes column sorting sorts a different field.
- NEW: configurable Eq2 filter in video chain
- NEW: configurable Hue filter in video chain
- NEW: Realtime Video Equalizer
- NEW: Added homepage link.
- NEW: Translations needed popup

* Fri Oct 31 2008 Antonio Orefice <xt7player@gmail.com> 
- FIX: sometimes program got stuck on exit.
- FIX: (Cachedoptions): audio&video driver preference didn't correctly restored at startup
- New: Allow user to choose which video driver to use to display subtitle preview.
- FIX: Codecs priority not loaded at startup.
- NEW: Adaptor selection in xv driver configuration (try it instead of "port"
- to enable overlay on intel cards to avoid tearing issues),
- need mplayer-svn >=1.0_rc2_p27120-r1
- FIX: Scale osd text as well
- NEW: Freely configurable custom audio and video filters in filter chains.
- CHANGED: Cosmetic changes (qt domino style and toolbuttons)
- FIX: Better videoarea focus managment.
- CHANGED: Use FIFO(s) to talk to mplayer (workaround for archlinux+kde(mod?))
- FIX: don't kill xbindkeys which don't belong to you.
- NEW: Volume bar drag now popup percent volume with -softvol-max overboost value
- Changed: Default subtitle and osd aspect.
- NEW: Log window
- FIX: Speedincr +0.1 --> Speed_incr +0.01
- NEW: Sync now button in general options, and disable some gui-controls during sync
- FIX: crash on library update commit on kubuntu 8.10/kde4.1
- FIX: graphical glitch in volume bar
- FIX: don't save seekbar, volumebar and statusbar status to profile
- FIX: Create temporary files in home directory instead of tmp
- FIX: Delete temorary files at exit
- *NEW: New media we'll be played through the existing Xt7-Player instance.
- (you can still have multiple Xt7-Player opened at the same time by running it
- without arguments)
- NEW: .-append 'media' parameter (yes, with the dot) to append a media to the playlist.
- NEW: listen on local sock for remote commands:
- append 'uri' (single quotes) -> appends an uri to playlist

* Wed Oct 08 2008 Antonio Orefice <xt7player@gmail.com> 
-FIX: Exception on exit if no global hotkey is defined.

* Tue Oct 07 2008 Antonio Orefice <xt7player@gmail.com> 
-FIX: comment tags not added to library.
-FIX: Video area not correctly resized in window mode.
-NEW: Global hotkeys managment through xbindkeys (new dependancy).
-FIX: scale filter added to the beginning of chain (was the end).
-NEW: Option to disable SSA font rendering.
-NEW: Option to configure osd appaerance.
-FIX: Better local hotkeys managment (All printable characters should work now).
-FIX: apply button during pause restarted streams from the beginning.
-FIX: save to profile didn't save audio/video drivers priority sometimes.
-FIX: sometimes info on streams was missing.
-FIX: Exit from fullscreen mode on media end if we're not in playlist mode.
-NEW: "Save on exit" option in "general options->misc".
-NEW: Help page on codecs priority window.
-NEW: Audio/Video Codecs priority window.
-NEW: "Remove from disk" menu option on library.
-NEW: Added the relative mplayer option to hints.
-NEW: configuration toolbox for who don't like to use menus.
-NEW: menu options: "Configure: video: General video options", Configure: audio: General audio options.
-FIX: xt7-player.png -> Xt7-Player.png

* Tue Sep 09 2008 Antonio Orefice <xt7player@gmail.com> 
- FIX: Sometimes statusbar didn't display text on fullscreen switch.
- NEW: Default hardened hotkey values
- NEW: (optional) Zoomed movies can be freely panned with a mouse drag.
- FIX: any keypresses make the player left paused state
- FIX: Only left mouse button dblclick switch fullscreen state
- NEW: Active chain filters now are marked in the filters configuration page.
- NEW: Exit hotkey now leaves fullscreen.
- NEW: DblClick on the status bar now changes display time format.
- FIX: (multiple display/multihead users) Show/hide control panels only if the mouse is on the player display
- FIX: VideoArea now correctly get focus in fullscreen
- NEW: Smooth controlbox Hide/show
- FIX: FullScreen button don't stay "pressed" anymore
- NEW: Option to disable start banner animation

* Thu Aug 07 2008 Antonio Orefice <xt7player@gmail.com> 
- Added more media extensions recognition.
- doubleclicking in the empty library space gave a runtime error: ("Bad row index. FMain.?.0")
- New menu options to clear playlist and library
- New toolbuttons: switch audio and subtitles track
- Drag'n drop of a subtitle file into the video area load and (hopefully, due to a bug in mplayer) display it.
- supported extensions for d'nd *.SRT;*.ASS;*.SUB;*.SSA
- Show chains button on AfiltersCfg didn't show chains.
- New options to choose mplayer and audiotag executables
- Profile manager: 'Switch without load' option to save the current profile over another one.
- cached options saved on every save operation.

* Tue Jul 29 2008 Antonio Orefice <xt7player@gmail.com> 0.6.0
  -First (beta) public version
